import { Component, ReactNode } from 'react';
import PropTypes from 'prop-types';
export declare const SOFT_TEXT_COLORS: string[];
declare type Props = {
    children?: ReactNode;
    component?: string;
    className?: string;
    color?: string;
} & Partial<DefaultProps>;
declare type DefaultProps = typeof defaultProps;
declare const defaultProps: {
    className: PropTypes.Requireable<string>;
    color: string;
};
export declare class SoftTextColor extends Component<Props> {
    static defaultProps: {
        color: string;
        className: string;
        component: string;
    };
    static propTypes: {};
    render(): JSX.Element;
}
export {};
